# class Loofah::Scrubbers::Escape

### scrub!(:escape)¶ ↑

`:escape` performs HTML entity escaping on the unknown/unsafe tags:

    unsafe_html = "ohai! <div>div is safe</div> <foo>but foo is <b>not</b></foo>"
    Loofah.fragment(unsafe_html).scrub!(:escape)
    => "ohai! <div>div is safe</div> &lt;foo&gt;but foo is &lt;b&gt;not&lt;/b&gt;&lt;/foo&gt;"

### Public Class Methods

new() click to toggle source

    # File lib/loofah/scrubbers.rb, line 143
    def initialize
      @direction = :top_down
    end

### Public Instance Methods

scrub(node) click to toggle source

    # File lib/loofah/scrubbers.rb, line 147
    def scrub(node)
      return CONTINUE if html5lib_sanitize(node) == CONTINUE
      node.add_next_sibling Nokogiri::XML::Text.new(node.to_s, node.document)
      node.remove
      return STOP
    end